package com.gree.mall.contest.bean.manage;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.manage.NotifyTypeEnum;
import com.gree.mall.contest.enums.manage.SendObjEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class NotifyRecordVO {

    @ZfireField(hide = true)
    @Schema(description = "id")
    private String id;

    @Schema(description = "来源id")
    private String sourceId;

    @Schema(description = "消息类型")
    private NotifyTypeEnum type;

    @Schema(description = "标题")
    private String title;

    @ZfireField(hide = true)
    @Schema(description = "内容")
    private String newsContent;

    @Schema(description = "对象")
    private SendObjEnum sendObj;

    @ZfireField(hide = true)
    @Schema(description = "是否已读 true:已读,false:未读")
    private Boolean readFlag;

    @Schema(description = "阅读人")
    private String readBy;

    @Schema(description = "阅读时间")
    private Date readTime;

    @ZfireField(hide = true)
    @Schema(description = "是否确认 true=是 false=否")
    private Boolean isConfirm;

    @ZfireField(hide = true)
    @Schema(description = "发布人")
    private String issueUserId;

    @ZfireField(hide = true)
    @Schema(description = "发布人昵称")
    private String issueNickName;

    @ZfireField(hide = true)
    @Schema(description = "发布时间")
    private Date issueTime;

    @ZfireField(hide = true)
    @Schema(description = "接收人")
    private String receiveId;

    @ZfireField(hide = true)
    @Schema(description = "创建时间")
    private Date createTime;

    @ZfireField(hide = true)
    @Schema(description = "TAKE_PRICE_CHANGE=收购价格变动 INFO_SETTLE_INVOICE_REMIND=信息费结算账单已开票提醒 QUALITY_WAIT_CONFIRM=报货单质检待确认 BALANCE_REMIND=余额不足 RECHARGE_SUCCESS=充值成功 WITHDRAWAL_SUCCESS=钱包余额提现成功 EXCEPTION_ORDER_APPEAL=异常订单待申诉 EXCEPTION_ORDER_CONFIRM=异常订单待审核 EXCEPTION_ORDER_END=异常订单审核完成 INFO_SETTLE_REMIND=信息费用结算账单待确认提醒 BALANCE_ADD=钱包余额新增（平台确认付款）")
    private String noticeType;

}
