package com.gree.mall.contest.commonmapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.contest.bean.common.AmityUrlVO;
import com.gree.mall.contest.bean.common.CarouselMapVO;
import com.gree.mall.contest.bean.manage.NotifyRecordVO;
import com.gree.mall.contest.bean.manage.NotifyVO;
import com.gree.mall.contest.bean.manage.UserTopPopVO;
import com.gree.mall.contest.bean.zfire.ZfireParamBean;
import com.gree.mall.contest.plus.entity.UserTopPop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommonMapper {

    /**
     * 友情链接
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<AmityUrlVO> amityList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 轮播图列表
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<CarouselMapVO> carouselMapList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 通知公告列表
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<NotifyVO> notifyList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 通知记录列表
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<NotifyRecordVO> notifyReadList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    /**
     * 首页弹窗配置列表
     * @param page
     * @param zfireParamBean
     * @return
     */
    IPage<UserTopPopVO> topPopList(Page page, @Param("ex") ZfireParamBean zfireParamBean);

    List<UserTopPop> queryTopPopVaildRecord(@Param("curDate") DateTime curDate, @Param("popIds") List<String> popIds);
}
